%define LANG de

Summary: German man (manual) pages from the Linux Documentation Project
Name: man-pages-%LANG
Version: 0.4
Release: %mkrel 5
License: Distributable
Group: System/Internationalization
Source: http://www.infodrom.org/projects/manpages-de/download/manpages-de-%{version}.tar.bz2  
Patch1: man-pages-de-0.3-nolocalfile.patch.bz2
URL: http://www.infodrom.org/projects/manpages-de/
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
BuildArch: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to German.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                    nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n manpages-de-%{version}
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/%_mandir/%LANG/
done

# those files conflict whith net-tools
rm $RPM_BUILD_ROOT/%_mandir/de/man1/hostname.1

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG



%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory /%_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man, 0755)
%doc CHANGES README COPYRIGHT
%defattr(0644,root,man, 755)
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
%_mandir/%LANG/man*
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron

%changelog
* Thu Mar  2 2006 Gtz Waschk <waschk@mandriva.org> 0.4-5mdk
- drop patch 0
- drop prereq
- drop icon
- fix URL

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4-4mdk
- rebuild

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-3mdk
- build release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-2mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.%LANG since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - remove translations

* Thu Mar 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- new release

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-2mdk
- provides manpages-%%LANG
- don't overwrite crontab if user altered it
- fix permission on /usr/share/man/cs/*

* Tue Jul 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-1mdk
- update url
- update
- minor spec fixes
- remove conflicting hostname.1

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2-12mdk
- Use %%_tmppath for BuildRoot

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-11mdk
- build release for BM
- fix build as user (whatis)

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-10mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.
- spechelper, permissions

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.2-8mdk
- convert to new group scheme
- add "Prereq: sed grep man"

* Mon Jan 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- removed hostname(1), it conflicts with file provided by net-tools

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-de to man-pages-de, to make it consistent
  with the english man pages package.
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/de tree, a makewhatis.de script, and a cron entry to run it

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

